Skip to main content
Bare Metal Management/Bare Metal Template Related Interfaces
GETBare Metal Template Related InterfacesSince 0.6SynchronousAuth Required

Query Preconfiguration Template

Query Preconfiguration Template

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. When the operation is successful, this field is null. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, default is null

    • opaqueLinkedHashMapRequired

      Reserved field, default is null

    • causeErrorCodeRequired

      Root cause: the source error that triggered the current error. If there is no original error, this field is null

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      UUID of the resource, uniquely identifying the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • distributionStringRequired

      Applicable operating system distribution

    • typeStringRequired

      Template type

    • contentStringRequired

      Template content

    • md5sumStringRequired

      Template MD5

    • isPredefinedBooleanRequired

      Whether it is system predefined

    • stateStringRequired

      State

    • createDateTimestampRequired

      Create time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/baremetal/preconfigurations

/zstack/v1/baremetal/preconfigurations

Operation ID

QueryPreconfigurationTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal/preconfigurations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "7242ff1b38c94a00b888c1033ca6223a", "name": "centos_7_x86_64_mini_v1.cfg", "description": "centos-7-minimal kickstart file", "distribution": "centos-7-x86_64", "type": "kickstart", "content": "...", "md5sum": "f01edfbe076f4e24bd346fab494e5de0", "isPredefined": false, "state": "Enabled", "createDate": "Aug 15, 2025 5:38:34 AM", "lastOpDate": "Aug 15, 2025 5:38:34 AM" } ] }

Change History

This API has no change history records yet.

View all change history